<template>
  <div class="backdrop">
    <div class="modal">
      <h3>Add New Campaign</h3>
      <div class="new-creator">
        <form @submit.prevent="createNewCampaign(this.campaign_details)">
          <div class="details">
            <p>Name:</p>
            <input
              type="text"
              placeholder="Enter Name"
              v-model="campaign_details.name"
              required
            />
          </div>
          <div class="details">
            <p>Type:</p>
            <select name="" id="" v-model="campaign_details.type" required>
              <option value="">Select Option</option>
              <option value="barter">Barter</option>
              <option value="paid">Paid</option>
            </select>
          </div>
          <div class="details">
            <p>Start Date:</p>
            <input
              type="date"
              placeholder="Choose Date"
              v-model="campaign_details.start_date"
              required
            />
          </div>
          <div class="details">
            <p>End Date:</p>
            <input
              type="date"
              placeholder="Choose Date"
              v-model="campaign_details.end_date"
            />
          </div>

          <div class="submit">
            <button>Submit</button>
          </div>
        </form>
      </div>
      <div class="close">
        <i
          @click="toggleCampaignForm(false)"
          class="fa-solid fa-circle-xmark"
        ></i>
      </div>
    </div>
  </div>
</template>

<script>
import { mapActions, mapGetters } from "vuex";
export default {
  data() {
    return {
      campaign_details: {
        name: "",
        type: "",
        start_date: "",
        end_date: "",
        products: [],
        creator_id: this.$route.params.id,
      },
    };
  },
  computed: mapGetters(["createCampaign"]),
  methods: {
    ...mapActions(["toggleCampaignForm", "createNewCampaign"]),
  },
};
</script>

<style scoped>
.backdrop {
  position: fixed;
  width: 100vw;
  height: 100vh;
  background: rgba(0, 0, 0, 0.349);
}

.modal {
  position: fixed;
  top: 50%;
  left: 0;
  transform: translate(50%, -50%);
  background: #fff;
  width: 700px;
  padding: 20px;
  display: flex;
  flex-direction: column;
  align-items: center;

  border-radius: 10px;
}

input,
select {
  width: 300px;
  border: 1px solid rgb(250, 250, 250);
  outline: none;
  background: rgb(247, 247, 247);
  padding: 0.75rem;
  border-radius: 20px;
}

input:hover,
input:focus {
  border: 1px solid #0072ff;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}
.details {
  display: grid;
  grid-template-columns: auto 400px;
  gap: 15px;
  align-items: center;
}

.details p {
  justify-self: flex-end;
}

form {
  display: flex;
  flex-direction: column;
  /* gap: 10px; */
}

.submit {
  align-self: center;
}

button {
  background: #0072ff;
  color: #fff;
  border-radius: 20px;
  padding: 0.75rem;
  font-weight: bold;
  width: 100px;
  outline: none;
  border: 1px solid #0072ff;
  margin-top: 8px;
  transition-duration: 0.3s;
  cursor: pointer;
}

button:hover {
  background: none;
  color: #0072ff;
}

.close {
  position: absolute;
  top: 15px;
  right: 15px;
}
.close i {
  font-size: 21px;
  cursor: pointer;
  transition-duration: 0.2s;
}

.close i:hover {
  color: red;
}
</style>